script CtrlrAppDelegate
	property parent : class "NSObject"
	property myButton : missing value -- wired up to button as IB outlet
	
	on buttonClicked_(sender) -- wired up to button as IB action
		-- first, change button image by direct call
		buttonSetImage_("Red.png")
		-- second, change button image by indirect call from subclass script
		tell current application's CtrlrSubclassAppDelegate to changeButtonImage()
	end buttonClicked_
	
	on buttonSetImage_(imageName)
		display dialog "Handler is executing"
		set theImage to current application's NSImage's imageNamed_(imageName)
		myButton's setImage_(theImage)
	end buttonSetImage_
	
	on applicationWillFinishLaunching_(aNotification)
	end applicationWillFinishLaunching_
	
	on applicationShouldTerminate_(sender)
		return current application's NSTerminateNow
	end applicationShouldTerminate_
end script
